### Function

# EvinceDocument Document factory_get_document_for_gfile

#### Declaration [src]

    EvDocument*
    ev_document_factory_get_document_for_gfile (
      GFile* file,
      EvDocumentLoadFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously creates a `EvDocument` for the document at `file`; or, if no backend handling the document’s type is found, or an error occurred on opening the document, returns `NULL` and fills in `error`. If the document is encrypted, it is returned but also `error` is set to `EV_DOCUMENT_ERROR_ENCRYPTED`.

Available since: | 3.6

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.
`flags` | `EvDocumentLoadFlags`
| Flags from `EvDocumentLoadFlags`.
`cancellable` | `GCancellable`
| A `GCancellable`, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `EvDocument`
| A new `EvDocument`, or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.